Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class RangeExceptionImpl

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.w3c.dom.ranges.RangeException
                              |
                              +--org.apache.xerces.dom.RangeExceptionImpl

All Implemented Interfaces:
  java.io.Serializable

public class RangeExceptionImpl
extends org.w3c.dom.ranges.RangeException

Version:
  $Id: RangeExceptionImpl.java,v 1.5 2002/08/09 15:18:14 neilg Exp $
See Also:
  Serialized Form

Fields inherited from class org.w3c.dom.ranges.RangeException
`BAD_BOUNDARYPOINTS_ERR, code, INVALID_NODE_TYPE_ERR`

Constructor Summary
`RangeExceptionImpl(short code, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeExceptionImpl

    public RangeExceptionImpl(short code,
                              java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.